#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	6.3.4
%define		qtver		5.15.2
%define		kpname		oxygen
Summary:	Plasma and Qt widget style and window decorations for Plasma 5 and KDE 4
Name:		kp6-%{kpname}
Version:	6.3.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	69161ea6ac49acbc7fccd736d5ee0e56
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf6-extra-cmake-modules >= 1.4.0
BuildRequires:	kf6-frameworkintegration-devel
BuildRequires:	kf6-kcompletion-devel
BuildRequires:	kf6-kconfig-devel
BuildRequires:	kf6-kguiaddons-devel
BuildRequires:	kf6-ki18n-devel
BuildRequires:	kf6-kservice-devel
BuildRequires:	kf6-kwidgetsaddons-devel
BuildRequires:	kf6-kwindowsystem-devel
BuildRequires:	kp6-libplasma-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	kp5-%{kpname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plasma and Qt widget style and window decorations for Plasma 5 and KDE
4 A plugin-based library to create window decorations.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kp5-%{kpname}-devel < %{version}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DBUILD_QT5=OFF \
	-DBUILD_QT6=ON
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%{_datadir}/plasma/look-and-feel/org.kde.oxygen
%{_iconsdir}/KDE_Classic
%{_datadir}/kstyle/themes/oxygen.themerc
%{_iconsdir}/hicolor/256x256/apps/oxygen-settings.png
%{_iconsdir}/Oxygen*
%{_datadir}/color-schemes/Oxygen.colors
%{_datadir}/color-schemes/OxygenCold.colors
%attr(755,root,root) %{_bindir}/oxygen-demo6
%attr(755,root,root) %{_bindir}/oxygen-settings6
%attr(755,root,root) %{_libdir}/liboxygenstyle6.so.*.*
%ghost %{_libdir}/liboxygenstyle6.so.6
%attr(755,root,root) %{_libdir}/liboxygenstyleconfig6.so.*.*
%ghost %{_libdir}/liboxygenstyleconfig6.so.6
%dir %{_libdir}/qt6/plugins/kstyle_config
%attr(755,root,root) %{_libdir}/qt6/plugins/kstyle_config/kstyle_oxygen_config.so
%attr(755,root,root) %{_libdir}/qt6/plugins/org.kde.kdecoration3.kcm/kcm_oxygendecoration.so
%attr(755,root,root) %{_libdir}/qt6/plugins/org.kde.kdecoration3/org.kde.oxygen.so
%attr(755,root,root) %{_libdir}/qt6/plugins/styles/oxygen6.so
%{_desktopdir}/kcm_oxygendecoration.desktop
%{_datadir}/metainfo/org.kde.oxygen.appdata.xml
%dir %{_datadir}/plasma/desktoptheme/oxygen
%{_datadir}/plasma/desktoptheme/oxygen/colors
%dir %{_datadir}/plasma/desktoptheme/oxygen/dialogs
%{_datadir}/plasma/desktoptheme/oxygen/dialogs/background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/metadata.json
%dir %{_datadir}/plasma/desktoptheme/oxygen/opaque
%dir %{_datadir}/plasma/desktoptheme/oxygen/opaque/dialogs
%{_datadir}/plasma/desktoptheme/oxygen/opaque/dialogs/background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/opaque/dialogs/krunner.svgz
%dir %{_datadir}/plasma/desktoptheme/oxygen/opaque/widgets
%{_datadir}/plasma/desktoptheme/oxygen/opaque/widgets/extender-background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/opaque/widgets/panel-background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/opaque/widgets/tooltip.svgz
%{_datadir}/plasma/desktoptheme/oxygen/plasmarc
%dir %{_datadir}/plasma/desktoptheme/oxygen/widgets
%{_datadir}/plasma/desktoptheme/oxygen/widgets/action-overlays.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/actionbutton.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/analog_meter.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/arrows.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/bar_meter_horizontal.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/bar_meter_vertical.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/branding.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/busywidget.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/button.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/clock.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/containment-controls.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/dragger.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/extender-background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/extender-dragger.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/frame.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/glowbar.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/line.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/lineedit.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/media-delegate.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/monitor.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/pager.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/panel-background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/plot-background.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/scrollbar.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/scrollwidget.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/slider.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/tabbar.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/tasks.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/timer.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/tooltip.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/translucentbackground.svgz
%{_datadir}/plasma/desktoptheme/oxygen/widgets/viewitem.svgz
%changelog
* Tue Apr 29 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp6-oxygen.git;a=log;h=master

* Wed Apr 02 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6152195
- updated to 6.3.4

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 21a4e65
- updated to 6.3.3

* Wed Mar 05 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> aa87549
- relup

* Thu Feb 27 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3e4f304
- updated to 6.3.2

* Thu Feb 20 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 3b90d1e
- updated to 6.3.1

* Wed Feb 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 64987eb
- updated to 6.3.0

* Wed Jan 01 2025 Witold Filipczyk <witekfl@poczta.onet.pl> feda493
- updated to 6.2.5

* Tue Nov 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 770e8df
- updated to 6.2.4

* Tue Nov 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 465ba28
- updated to 6.2.3

* Tue Oct 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> de54cc0
- updated to 6.2.2

* Wed Oct 16 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ff42d00
- dir

* Tue Oct 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 800ea75
- updated to 6.2.1

* Sun Oct 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9cfb05d
- dirs

* Tue Oct 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9fd40d1
- updated to 6.2.0

* Tue Sep 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 85dc71d
- updated to 6.1.5

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7d7157d
- updated to 6.1.4

* Wed Jul 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fe2a7d6
- updated to 6.1.3

* Wed Jul 03 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0a55188
- updated to 6.1.2

* Wed Jun 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> fa11525
- updated to 6.1.1

* Wed Jun 19 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 84442b9
- updated to 6.1.0

